package net.wanji.common.utils.licenseUtils;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;

/** Created by JAVA on 2018/7/24. */
public class DateUtils {

    public static SimpleDateFormat formatter = new SimpleDateFormat("yyyyMMdd");

    public static boolean authorize_date(String date) {
        TimeZone tz = TimeZone.getTimeZone("ETC/GMT-8");
        TimeZone.setDefault(tz);
        String currentTime = DateUtils.formatter.format(new Date());
        if (compare_date(currentTime, date) >= 0) {
            return true;
        }
        return false;
    }

    public static int compare_date(String date1, String date2) {

        DateFormat df = new SimpleDateFormat("yyyyMMdd");
        try {
            Date dt1 = df.parse(date1);
            Date dt2 = df.parse(date2);
            if (dt1.getTime() < dt2.getTime()) {
                //                System.out.println("dt1 在dt2前");
                return 1;
            } else if (dt1.getTime() > dt2.getTime()) {
                //                System.out.println("dt1在dt2后");
                return -1;
            } else {
                return 0;
            }
        } catch (Exception exception) {
            exception.printStackTrace();
        }
        return 0;
    }

    public static void main(String[] args) {
        System.out.println(authorize_date("20200807"));;
    }
}
